Groovy 1.7.0

## groovy.text
Class SimpleTemplateEngine.SimpleTemplate

    java.lang.Object
      groovy.text.SimpleTemplateEngine.SimpleTemplate

All Implemented Interfaces:
  Template

    class SimpleTemplateEngine.SimpleTemplate

Field Summary
`protected Script` | `script`

Constructor Summary
`SimpleTemplateEngine.SimpleTemplate()`

Method Summary
`Writable` | `make()`
`Writable` | `make(Map map)`
`protected String` | `parse(Reader reader)` Write the template document with the set binding applied to the writer.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### script

    protected Script script

Constructor Detail

### SimpleTemplateEngine.SimpleTemplate

    SimpleTemplateEngine.SimpleTemplate()

Method Detail

### make

    public Writable make()

### make

    public Writable make(Map map)

### parse

    protected String parse(Reader reader)

  Write the template document with the set binding applied to the writer.
  see:
    Writable#writeTo

Copyright © 2003-2009 The Codehaus. All rights reserved.